Name: apt-autoupdate
Obsoletes: apt-cern
Version: 1
Release: 4.SL 
License: GPL
Packager: Jaroslaw.Polok@cern.ch
Vendor: Scientific Linux

Summary: apt-get autoupdate setup for Scientific Linux
Group: Applications/System
Source: %{name}-%{version}.tar.gz

Requires: apt, apt-sourceslist, apt-scripts, vixie-cron, python, /bin/mail
Prereq: /sbin/chkconfig, /sbin/service
Url: http://cern.ch/linux/apt/

BuildRoot: %{_tmppath}/%{name}-%{PACKAGE_VERSION}
BuildArch: noarch

%define destconf etc/apt/apt.conf.d

#ifarch x86_64
#define destlib usr/lib64/apt
#else
%define destlib usr/lib/apt
#endif
%define destscripts %{destlib}/scripts


%description 
The %{name}  package contains Scientific Linux setup for
automatic system updates using apt-get.

%package -n apt-scripts
Group: Applications/System
Summary: Additional scripts for apt-get
Requires: comps, python

%description -n apt-scripts
Additional scripts extending apt-get functionality via 
embedded LUA language.

%package -n apt-firstboot
Requires: firstboot
Summary: Firstboot hook for apt-autoupdate
Group: Applications/System

%description -n apt-firstboot
(NOT IMPLEMENTED YET)
This package provides firstboot setup for apt-autoupdate
(NOT IMPLEMENTED YET)



%prep

%setup -q

%build

rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/apt/apt.conf.d/
mkdir -p $RPM_BUILD_ROOT/etc/sysconfig/
mkdir -p $RPM_BUILD_ROOT/etc/cron.hourly/
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d/
mkdir -p $RPM_BUILD_ROOT/etc/logrotate.d/
mkdir -p $RPM_BUILD_ROOT/%{destlib}/scripts/
mkdir -p $RPM_BUILD_ROOT/usr/share/doc/apt-firstboot-%{version}-%{release}/


echo "not implemented yet" > $RPM_BUILD_ROOT/usr/share/doc/apt-firstboot-%{version}-%{release}/README

# ifarch DOES not work ... we build noarch here ;-)

cp apt-groupinstall.py  $RPM_BUILD_ROOT/%{destscripts}/groupinstall.py
cp upgrade-kernel.lua $RPM_BUILD_ROOT/%{destscripts}/
cp pkglog.lua $RPM_BUILD_ROOT/%{destscripts}/
cp groupinstall.lua $RPM_BUILD_ROOT/%{destscripts}/
cp list-extras.lua $RPM_BUILD_ROOT/%{destscripts}/
cp upgradevirt.lua $RPM_BUILD_ROOT/%{destscripts}/

cp upgrade-kernel.conf $RPM_BUILD_ROOT/%{destconf}/
cp pkglog.conf  $RPM_BUILD_ROOT/%{destconf}/
cp list-extras.conf $RPM_BUILD_ROOT/%{destconf}/
cp groupinstall.conf $RPM_BUILD_ROOT/%{destconf}/
cp upgradevirt.conf  $RPM_BUILD_ROOT/%{destconf}/

cp apt-cern-sysconfig  $RPM_BUILD_ROOT/etc/sysconfig/apt-autoupdate
cp apt-cern-cronjob    $RPM_BUILD_ROOT/etc/cron.hourly/apt-autoupdate
cp apt-cern-init.d     $RPM_BUILD_ROOT/etc/rc.d/init.d/apt-autoupdate
cp apt-cern-logrotate  $RPM_BUILD_ROOT/etc/logrotate.d/apt-autoupdate

%install


%clean
rm -rf $RPM_BUILD_ROOT

%post
# If apt-autoupdate was configured already: don't touch
# if not add to config but disable
/sbin/chkconfig --list apt-autoupdate > /dev/null 2>&1 || :
if [ $? -ne 0 ]; then
 /sbin/chkconfig --add apt-autoupdate > /dev/null 2>&1 || :
 # Add, but put it off.
 /sbin/chkconfig --level 345 apt-autoupdate off > /dev/null 2>&1 || :
fi

%preun
if [ $1 = 0 ]; then
/sbin/service apt-autoupdate condrestart > /dev/null 2>&1 || :
fi

%postun
/sbin/chkconfig --del apt-autoupdate > /dev/null 2>&1 || :


%files 
%defattr(-,root,root)
%config(noreplace) /etc/sysconfig/apt-autoupdate
/etc/cron.hourly/apt-autoupdate
/etc/rc.d/init.d/apt-autoupdate
%config /etc/logrotate.d/apt-autoupdate


%files -n apt-scripts
%defattr(-,root,root)
%config(noreplace) /%{destconf}/upgrade-kernel.conf
%config(noreplace) /%{destconf}/upgradevirt.conf
%config(noreplace) /%{destconf}/pkglog.conf
%config(noreplace) /%{destconf}/groupinstall.conf
%config(noreplace) /%{destconf}/list-extras.conf
/%{destscripts}/upgrade-kernel.lua
/%{destscripts}/pkglog.lua
/%{destscripts}/groupinstall.lua
/%{destscripts}/groupinstall.py
/%{destscripts}/list-extras.lua
/%{destscripts}/upgradevirt.lua

%files -n apt-firstboot
/usr/share/doc/apt-firstboot-%{version}-%{release}/README


%changelog
* Mon Jun 28 2004 Jaroslaw Polok <jaroslaw.polok@cern.ch>
- fixed cleaning up of cron files 
* Wed Jun 23 2004 Jaroslaw Polok <jaroslaw.polok@cern.ch>
- fixed upgrade-kernel command
* Tue Jun 08 2004 Jaroslaw Polok <jaroslaw.polok@cern.ch>
- repackaged for Scientific Linux
- site specific part is provided now by apt-sourceslist rpm
  (provided separately)
* Fri Apr 16 2004 Jaroslaw Polok <jaroslaw.polok@cern.ch>
- updated kernel-upgrade LUA script
* Thu Feb 26 2004 Jaroslaw Polok <jaroslaw.polok@cern.ch>
- added groupinstall & list-extras lua scripts
* Tue Feb 17 2004 Jaroslaw Polok <jaroslaw.polok@cern.ch>
- added kernel-upgrade.lua & cronjob
* Tue Feb 10 2004 Jaroslaw Polok <jaroslaw.polok@cern.ch>
- built new version.

